Get Webhook
Request
GET /v2/webhooks/10 HTTP/1.1
Authorization: Bearer oauth_token
Path Parameters
/v2/webhooks/{webhookId}
Response
HTTP/1.1 200 OK
Content-Type: application/hal+json
{
"_links" : {
"self" : {
"href" : "..."
}
},
"id" : 10,
"url" : "http://bad-url.com",
"state" : "enabled",
"events" : [ "convo.assigned" ],
"notification" : false,
"payloadVersion" : "V2",
"label" : "cool webhook",
"mailboxIds" : [ ]
}
Response fields
| Path | Type | Description |
|---|---|---|
url |
String |
URL that will be called when of the events occurs |
events |
Array |
List of defined events, one of:beacon.chat.createdbeacon.chat.customer.repliedconvo.agent.reply.createdconvo.ai-answers-email.reply.createdconvo.ai-answers-email.resolutionconvo.assignedconvo.createdconvo.custom-fieldsconvo.customer.reply.createdconvo.deletedconvo.mergedconvo.movedconvo.note.createdconvo.statusconvo.tagscustomer.createdcustomer.deletedcustomer.updatedmessage.survey.response.receivedorganization.createdorganization.deletedorganization.updatedsatisfaction.ratingstag.createdtag.deletedtag.updateduser.status.changed |
notification |
Boolean |
Notification web hooks only send URI of the changed resource, not the payload body. |
label |
String |
Label associated with this Webhook for better clarity. |
payloadVersion |
String |
Version of the payload delivered to the url. Options are V2 (deprecated) and V3. V3 preserves system_user type in conversation payloads. Defaults to V2 if omitted. |
mailboxIds |
Array |
An array of mailbox identifiers. The webhook will trigger for actions on conversations in any of the specified mailboxes. If not provided, the webhook will trigger for actions on conversations in all mailboxes. |
state |
String |
Web Hook state, one of enabled or disabled. |
id |
Number |
Unique Web Hook ID |